Bug 1284574 (CVE-2015-8316) - CVE-2015-8316 lightdm: XDMCP request packet with no addresses crashes LightDM
Summary: CVE-2015-8316 lightdm: XDMCP request packet with no addresses crashes LightDM
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-8316
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151117,repor...
Depends On: 1284575
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-23 15:43 UTC by Adam Mariš
Modified: 2019-06-08 20:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-24 14:36:45 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-11-23 15:43:59 UTC
It was found that when XDMCP sercer is enabled and LightDM receives an XDMCP Request packet with no addresses, it will attempt to access a negative index into an array, causing denial of service.

CVE assignment:

http://seclists.org/oss-sec/2015/q4/352

Comment 1 Adam Mariš 2015-11-23 15:44:14 UTC
Created lightdm tracking bugs for this issue:

Affects: fedora-all [bug 1284575]

Comment 2 Rex Dieter 2016-03-24 14:36:45 UTC
per linked fedora bug,

According to the CVE_2015-8316 text, "some versions of LightDM (1.14 and 1.16 series) are vulnerable".

Fedora (and EPEL) ship lightdm-1.10.x, so it would appear we are safe, closing.


Note You need to log in before you can comment on or make changes to this bug.